Quattle is a modern and customizable theme for the static site generator Jekyll.

## <small>Demo</small>
[quattle.victorwynne.com](https://quattle.victorwynne.com)

## <small>Download</small>
[GitHub](https://github.com/victorwynne/quattle/releases) or [RubyGems](https://rubygems.org/gems/quattle)

## <small>Features</small>
Fully responsive with an emphasis on mobile friendly design, typography and interaction

HTML, SASS, XML, supporting assets and config files are included for the theme's design and functionality

CSS media feature `prefers-color-scheme` to detect if the visitor has requested a light or dark color mode

`$variables` based color schemes for light and dark mode, syntax highlighting for code blocks and styling of elements

HTML/CSS compression (minification)

Valid RSS 2.0 syndicated feed

GDPR valid and compliant cookie consent banner

404, site map, navigation, archive, category, tag, about, style and privacy pages

Archive displays a tag cloud and number of posts per month, year, category, tag

Excerpt, pagination and per-post navigation to older/newer entries

Smart quotes across all content with the `{ | smartify }` liquid filter

Rich preview links when shared via iMessage and social media services

A wide variety of HTML elements commonly used in Markdown writing are styled (mark, source references, blockquotes, headers, tables, boxes/buttons, figure captions, code blocks, footnotes)

Additional supported and styled front matter:
* Author attribution
* Last modified date
* Permalinks for linked list style posts that have an external source reference


## <small>License</small>

Quattle is free software distributed under a [MIT license](https://github.com/victorwynne/quattle/blob/main/LICENSE).
